using System.Numerics;

namespace SDFMapCreator;

public record Image(Vector3[,] Pixels, int Width, int Height);

public record MaskData(Vector3[,] Mask, Image Image, List<Vector2> Edges) {
    public Vector3[,] Mask { get; set; } = Mask;
    public List<Vector2> Edges { get; set; } = Edges;
}

public record SDFData(Vector3[,] SDF);

public record TransitionMaskData(Vector3[,] Mask, Image ImageA, Image ImageB);